6.0.0-git
2019-05-25

[#13839] Moving folders doesn't work
Summary Moving folders doesn't work
Queue Synchronization
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester horde (at) albasoft (dot) com
Created 2015-02-03 (1572 days ago)
Due
Updated 2015-02-05 (1570 days ago)
Assigned 2015-02-04 (1571 days ago)
Resolved 2015-02-05 (1570 days ago)
Milestone
Patch Yes

History
2015-02-05 17:19:40 Michael Rubinsky State ⇒ Resolved
 
2015-02-05 17:19:29 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit c1efc1260fc3c945c80447acce2b9e39dca0d9c7
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu Feb 5 12:19:09 2015 -0500

     [mjr] Fix moving a mailbox to a new parent (Bug #13839).

  framework/ActiveSync/package.xml |    2 ++
  1 files changed, 2 insertions(+), 0 deletions(-)

http://github.com/horde/horde/commit/c1efc1260fc3c945c80447acce2b9e39dca0d9c7
2015-02-05 17:19:22 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit b151116bf68ccb3160cfdd4d6a89570cc7c66960
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu Feb 5 12:16:09 2015 -0500

     Bug: 13839  Fix moving a mailbox via ActiveSync.

     Can't exit early like this since if it's only the parent that has
     changed, the mailbox name will still be the same.

  .../lib/Horde/ActiveSync/Imap/Adapter.php          |    4 ----
  1 files changed, 0 insertions(+), 4 deletions(-)

http://github.com/horde/horde/commit/b151116bf68ccb3160cfdd4d6a89570cc7c66960
2015-02-04 16:40:35 Michael Rubinsky Assigned to Michael Rubinsky
State ⇒ Assigned
 
2015-02-03 08:34:20 horde (at) albasoft (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Moving folders doesn't work
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ Yes
New Attachment: hordewm5-activesync_foldermoved.patch Download
Reply to this comment
When moving a folder into another, the folder is not moved. Tested 
with 5.3.0 and MS Outlook 2013.

I think it's because an early return in renameMailbox function in 
Horde/ActiveSync/Imap/Adapter.php
When moving a folder named "folder1" into "folders/folder2", this 
function is called as
    renameMailbox($old, $new, $parent = null)
    renameMailbox("folder1", "folder1", "folders/folder2")

and the early return prevents from moving that folder, and nothing is changed:
if ($old == $new) { return; }

Testing after appending "parent" solves that bug (attached patch).

Saved Queries